package it.integry.integrywmsnative.core.model;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

public class MtbPartitaMag extends EntityBase{
    private String codMart;    
    
    private String partitaMag;    
    private String descrizione;    
    private LocalDateTime dataIns;
    private LocalDate dataScad;
    private Integer scelta;    
    private BigDecimal costoUntUmMag;
    private BigDecimal valUntUmMag;    
    private BigDecimal taraCnfKg;    
    private BigDecimal qtaCnf;    
    private String flagImballoArendere;    
    private String flagStato;    
    private String codDiviCont;    
    private BigDecimal cambioDiviCont;    
    private String barcode;    
    private String note;    
    private BigDecimal rapConv2;    
    private BigDecimal rapConv3;    
    private String posizione;    
    private String dataAggPrz;
    private String partitaMagSec;    
    private BigDecimal qtaAttesa;

    public MtbPartitaMag() {
        this.type = "mtb_partita_mag";
    }


    public String getCodMart() {
        return codMart;
    }

    public MtbPartitaMag setCodMart(String codMart) {
        this.codMart = codMart;
        return this;
    }

    public String getPartitaMag() {
        return partitaMag;
    }

    public MtbPartitaMag setPartitaMag(String partitaMag) {
        this.partitaMag = partitaMag;
        return this;
    }

    public String getDescrizione() {
        return descrizione;
    }

    public MtbPartitaMag setDescrizione(String descrizione) {
        this.descrizione = descrizione;
        return this;
    }

    public LocalDateTime getDataIns() {
        return dataIns;
    }

    public MtbPartitaMag setDataIns(LocalDateTime dataIns) {
        this.dataIns = dataIns;
        return this;
    }

    public LocalDate getDataScad() {
        return dataScad;
    }

    public MtbPartitaMag setDataScad(LocalDate dataScad) {
        this.dataScad = dataScad;
        return this;
    }

    public Integer getScelta() {
        return scelta;
    }

    public MtbPartitaMag setScelta(Integer scelta) {
        this.scelta = scelta;
        return this;
    }

    public BigDecimal getCostoUntUmMag() {
        return costoUntUmMag;
    }

    public MtbPartitaMag setCostoUntUmMag(BigDecimal costoUntUmMag) {
        this.costoUntUmMag = costoUntUmMag;
        return this;
    }

    public BigDecimal getValUntUmMag() {
        return valUntUmMag;
    }

    public MtbPartitaMag setValUntUmMag(BigDecimal valUntUmMag) {
        this.valUntUmMag = valUntUmMag;
        return this;
    }

    public BigDecimal getTaraCnfKg() {
        return taraCnfKg;
    }

    public MtbPartitaMag setTaraCnfKg(BigDecimal taraCnfKg) {
        this.taraCnfKg = taraCnfKg;
        return this;
    }

    public BigDecimal getQtaCnf() {
        return qtaCnf;
    }

    public MtbPartitaMag setQtaCnf(BigDecimal qtaCnf) {
        this.qtaCnf = qtaCnf;
        return this;
    }

    public String getFlagImballoArendere() {
        return flagImballoArendere;
    }

    public MtbPartitaMag setFlagImballoArendere(String flagImballoArendere) {
        this.flagImballoArendere = flagImballoArendere;
        return this;
    }

    public String getFlagStato() {
        return flagStato;
    }

    public MtbPartitaMag setFlagStato(String flagStato) {
        this.flagStato = flagStato;
        return this;
    }

    public String getCodDiviCont() {
        return codDiviCont;
    }

    public MtbPartitaMag setCodDiviCont(String codDiviCont) {
        this.codDiviCont = codDiviCont;
        return this;
    }

    public BigDecimal getCambioDiviCont() {
        return cambioDiviCont;
    }

    public MtbPartitaMag setCambioDiviCont(BigDecimal cambioDiviCont) {
        this.cambioDiviCont = cambioDiviCont;
        return this;
    }

    public String getBarcode() {
        return barcode;
    }

    public MtbPartitaMag setBarcode(String barcode) {
        this.barcode = barcode;
        return this;
    }

    public String getNote() {
        return note;
    }

    public MtbPartitaMag setNote(String note) {
        this.note = note;
        return this;
    }

    public BigDecimal getRapConv2() {
        return rapConv2;
    }

    public MtbPartitaMag setRapConv2(BigDecimal rapConv2) {
        this.rapConv2 = rapConv2;
        return this;
    }

    public BigDecimal getRapConv3() {
        return rapConv3;
    }

    public MtbPartitaMag setRapConv3(BigDecimal rapConv3) {
        this.rapConv3 = rapConv3;
        return this;
    }

    public String getPosizione() {
        return posizione;
    }

    public MtbPartitaMag setPosizione(String posizione) {
        this.posizione = posizione;
        return this;
    }

    public String getDataAggPrz() {
        return dataAggPrz;
    }

    public MtbPartitaMag setDataAggPrz(String dataAggPrz) {
        this.dataAggPrz = dataAggPrz;
        return this;
    }

    public String getPartitaMagSec() {
        return partitaMagSec;
    }

    public MtbPartitaMag setPartitaMagSec(String partitaMagSec) {
        this.partitaMagSec = partitaMagSec;
        return this;
    }

    public BigDecimal getQtaAttesa() {
        return qtaAttesa;
    }

    public MtbPartitaMag setQtaAttesa(BigDecimal qtaAttesa) {
        this.qtaAttesa = qtaAttesa;
        return this;
    }
}
